====================
Plume-Dynamics-Learn
====================

A Python package for visualizing and analyzing plume dynamics during thin-film growth, providing tools to process, visualize, and extract meaningful insights from in-situ plume images captured during Pulsed Laser Deposition (PLD) experiments.

This Python package offers a comprehensive set of tools for the analysis and visualization of plume dynamics data, allowing researchers to study the evolution of plume behavior during thin-film deposition processes. The package simplifies the process of handling raw image data, including image filtering, motion tracking, and plume velocity/shape analysis. Built-in functions enable users to visualize plume evolution over time in both 2D and 3D.

Key Features
------------

- Support for common image formats from in-situ plume imaging systems (e.g., .tiff, .png).
- Real-time visualization of plume frame during film growth.
- Tools for plume shape analysis, velocity estimation, and dynamic behavior tracking.
- Customizable workflows for advanced material growth analysis, including plume morphology and deposition rate correlations.

This package is ideal for materials science researchers and PLD users looking to gain insights into plume dynamics during thin-film deposition and optimize the growth process for better material quality.
    